Table Columns

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns

Returns a list of columns for a specified table

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

The data source in which the columns are located

schemaId
integer (int32) Required

The schema in which the columns are located

tableId
integer (int32) Required

The table in which the columns are located

Responses
200

OK

Expand All
object
dataSource
object (Configuration.Api.Models.v1.DataSourceSummary)
dataSourceName
string | null

The name of the data source

dataSourceId
integer (int32)

The ID of the data source

dataSourceServer
string | null

The name of the data source server

dataSourceDatabase
string | null

The name of the data source database

includeInTrustScore
boolean

Whether the data source is included in the trust score

schema
object (Configuration.Api.Models.v1.SchemaSummary)
schemaName
string | null

The name of the schema

schemaId
integer (int32)

The ID of the schema

includeInTrustScore
boolean

Whether the schema is included in the trust score

table
object (Configuration.Api.Models.v1.TableSummary)
tableName
string | null

The name of the table

tableId
integer (int32)

The ID of the table

tableType
string
Valid values[ "Table", "View" ]
includeInTrustScore
boolean

Whether the table is included in the trust score

columns
Array of object (Configuration.Api.Models.v1.ColumnSummary) | null

Summaries for all columns of the specified table

object
name
string | null

The name of the column

id
integer (int32)

The ID of the column

metaDataType
string
Valid values[ "ApproximateNumeric", "Boolean", "String", "DateTime", "Geospatial", "Guid", "Other", "ExactNumeric" ]
dataType
string | null

The data type of the column

sequence
integer (int32)

The sequence number of the column

isNullable
boolean

Whether the column is nullable

isPrimaryKey
boolean

Whether the column is the primary key

isIdentity
boolean

Whether the column is an identity column

stringMaxLength
integer (int32) | null

The max string length of the column

numericPrecision
integer (int32) | null

The numeric precision of the column

numericScale
integer (int32) | null

The numeric scale of the column

dateTimePrecision
integer (int32) | null

The date/time precision of the column

comment
string | null

The comment attached to the column